/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct ProductLimits {
    #[serde(rename = "boards", skip_serializing_if = "Option::is_none")]
    pub boards: Option<Box<crate::openapi::models::BoardsLimits>>,
    #[serde(rename = "files", skip_serializing_if = "Option::is_none")]
    pub files: Option<Box<crate::openapi::models::FilesLimits>>,
    #[serde(rename = "integrations", skip_serializing_if = "Option::is_none")]
    pub integrations: Option<Box<crate::openapi::models::IntegrationsLimits>>,
    #[serde(rename = "messages", skip_serializing_if = "Option::is_none")]
    pub messages: Option<Box<crate::openapi::models::MessagesLimits>>,
    #[serde(rename = "teams", skip_serializing_if = "Option::is_none")]
    pub teams: Option<Box<crate::openapi::models::TeamsLimits>>,
}

impl ProductLimits {
    pub fn new() -> ProductLimits {
        ProductLimits {
            boards: None,
            files: None,
            integrations: None,
            messages: None,
            teams: None,
        }
    }
}
